export declare class Drawer {
    host: HTMLMaterialsDrawerElement;
    dismissible: boolean;
    modal: boolean;
    topAppBar: HTMLMaterialsTopAppBarElement;
    itemsContent: string[];
    private mdcDrawer;
    items: HTMLMaterialsDrawerListItemElement[];
    toggle(): Promise<void>;
    open(): Promise<void>;
    close(): Promise<void>;
    componentDidLoad(): Promise<void>;
    componentDidUpdate(): void;
    private getDrawerClasses;
    renderHtml(): Promise<any[]>;
    render(): any[];
}
